Jump to content

Can I use any opkg package from openWrt?


G4E
 Share

Recommended Posts

I would like to install logrotate from the openWrt repository. I get:

root@Pineapple:~# opkg install http://sokrates.mimuw.edu.pl/~sebek/openwrt/packages/logrotate_3.7.1-1_mipsel.ipk
Downloading http://sokrates.mimuw.edu.pl/~sebek/openwrt/packages/logrotate_3.7.1-1_mipsel.ipk.
Unknown package 'logrotate'.
Collected errors:
 * pkg_hash_fetch_best_installation_candidate: Packages for logrotate found, but incompatible with the architectures configured
 * opkg_install_cmd: Cannot install package logrotate.
root@Pineapple:~# uname -a
Linux Pineapple 3.3.8 #81 Mon Aug 3 19:40:39 PDT 2015 mips GNU/Linux

Do I need to compile logrotate just for this reason or is it easily possible to fool opkg about what architecture it runs on?

Link to comment
Share on other sites

Eh, no. Not any.. It will have to be cross compiled. It needs to be the same architecture configuration

i have cross compiled version 3.8.1 ( not sure if you require the lower version, nor do i know if any is avail on the repos )

just after you download it, rename the .zip extension to .ipk. as the forum restrictions do not accept files with the .ipk externsion.

logrotate_3.8.1-1_ar71xx.zip

EDIT:

screw it, here's 3.9.1 and 3.7.1

logrotate_3.9.1-1_ar71xx.zip

logrotate_3.7.1-1_ar71xx.zip

Edited by DataHead
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...